#
# spec file for package python-os-api-ref
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-os-api-ref
Version:        1.6.2
Release:        bp153.1.17
Summary:        Sphinx Extensions to support API reference sites in OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/o/os-api-ref/os-api-ref-1.6.2.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python2-PyYAML >= 3.12
BuildRequires:  python2-Sphinx
BuildRequires:  python2-beautifulsoup4
BuildRequires:  python2-openstackdocstheme >= 1.18.1
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-python-subunit
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-sphinx-testing
BuildRequires:  python2-stestr
BuildRequires:  python2-testtools
BuildRequires:  python3-PyYAML >= 3.12
BuildRequires:  python3-Sphinx
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-openstackdocstheme >= 1.18.1
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-python-subunit
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-sphinx-testing
BuildRequires:  python3-stestr
BuildRequires:  python3-testtools
Requires:       python-PyYAML >= 3.12
Requires:       python-Sphinx
Requires:       python-openstackdocstheme >= 1.18.1
Requires:       python-pbr >= 2.0.0
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%python_subpackages

%description
This project is a collection of sphinx stanzas that assist in building an API
Reference site for an OpenStack project in RST. RST is great for
unstructured English, but displaying semi structured (and repetitive) data
in tables is not it's strength. This provides tooling to insert semi-structured
data describing request and response parameters, and turn those into nice
tables.
The project also includes a set of styling (and javascript) that is expected
to layer on top of an openstackdocstheme theme base. This provides a nice set
of collapsing sections for REST methods and javascript controls to
expand / collapse all sections.

%prep
%autosetup -p1 -n os-api-ref-1.6.2
%py_req_cleanup

%build
%{python_build}

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python_sitelib}/os_api_ref
%{python_sitelib}/*.egg-info

%changelog
* Wed Oct  9 2019 cloud-devel@suse.de
- removed 0001-Add-support-for-Sphinx-2.0.patch
- removed 0001-Fix-microversion-test-handle-different-HTML-renderin.patch
- removed 0001-Add-support-for-Sphinx-v2.1.patch
- update to version 1.6.2
  - Add support for Sphinx 2.0
  - Update hacking version
  - Generate stable targets rather than random
  - Update Testing for Train
  - Add support for Sphinx v2.1
  - Add Python 3 Train unit tests
  - Remove support for py34
  - Replace git.openstack.org URLs with opendev.org URLs
  - Fix microversion test: handle different HTML renderings
  - trivial: Remove unused attribute
  - OpenDev Migration Patch
* Mon Jul  8 2019 cloud-devel@suse.de
- added 0001-Add-support-for-Sphinx-v2.1.patch
- added 0001-Add-support-for-Sphinx-2.0.patch
* Mon Apr  8 2019 cloud-devel@suse.de
- update to version 1.6.0
  - Change openstack-dev to openstack-discuss
  - Fix UnicodeDecodeError
  - readthedocs.io support
  - Remove name from project stanza
  - Use 'sphinx.util.logging'
  - Update sphinx extension logging
  - Raise warning if top-level value is not a dict
  - Fix sphinx-build invocation
  - Update the remained discuss email
  - Fixing duplicate label issue.
  - switch documentation job to new PTI
  - General overhaul of testing setup
  - tests: Support Sphinx 1.8+
  - Use openstackdocstheme
  - Updated from global requirements
  - import zuul job settings from project-config
  - docs: Remove broken link
- add 0001-Fix-microversion-test-handle-different-HTML-renderin.patch
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 1.5.0 (bsc#1078607)
  - doc: Remove deprecated call to sphinx.util.compat
  - Clear description for max_version field
  - Add 'uuid' type
  - Fix wrong links
  - Remove unconstraint package installation
  - Update and replace http with https for doc links
  - Fix Zuul jobs
  - Updated from global requirements
* Tue Aug 22 2017 cloud-devel@suse.de
- update to version 1.4.0
  - Update hacking
  - Removes unnecessary utf-8 encoding
  - Updated from global requirements
  - Import httplib from six to support Python 3
  - Fix for sphinx 1.6.2
  - Enable warnings as errors
  - [Fix gate]Update test requirement
  - add file on releasing the software
  - Replaces yaml.load() with yaml.safe_load()
  - Delete support py33
  - Update tests for more recent sphinx
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 1.2.0:
  - Removes unnecessary utf-8 encoding
  - Add test for missing path params
  - Use beautifulsoup4 instead of bs4 in test-requirements.txt
  - Add compatibility with docutils 0.13
  - microversion selector - dropdown
  - Updated from global requirements
  - Add Constraints support
  - Adds an example http-status.yaml file and updates doc
  - Show team and repo badges on README
  - Fix anchor link setting url bar
  - Update homepage with developer documentation page
  - Adds more info to the README to instruct authors
  - remove padding-top for endpoint-container
  - Sync with global-requirements
  - detail/close button, bug #1618955
  - Add color for COPY label
  - Expand width of API Site
* Wed Sep  7 2016 tbechtold@suse.com
- Initial packaging (version 1.0.0)
